Gentoo Logo

MyDNS: Denial of Service

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200601-16 / MyDNS
Release Date January 30, 2006
Latest Revision January 30, 2006: 01
Impact normal
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
net-dns/mydns < 1.1.0 >= 1.1.0 All supported architectures

Related bugreports: #119548

Synopsis

MyDNS contains a vulnerability that may lead to a Denial of Service attack.

2.  Impact Information

Background

MyDNS is a DNS server using a MySQL database as a backend. It is designed to allow for fast updates and small resource usage.

Description

MyDNS contains an unspecified flaw that may allow a remote Denial of Service.

Impact

An attacker could cause a Denial of Service by sending malformed DNS queries to the MyDNS server.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All MyDNS users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-dns/mydns-1.1.0"

4.  References



Print

Page updated January 30, 2006

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.